Lounge Network New Zealand
Lounge Network News and Network Status


RSS Subscribe News & Network Status:
RSS Subscribe Scheduled Maintenance for CPanel Users: PHP & MySQL Upgrades Beginning from 9th September 2016
Posted on 08/09/16 05:04PM

--- THESE UPGRADES HAVE NOW BEEN COMPLETED --- 

 

As part of the regular server maintenance and upgrade program, all CPanel hosting accounts will be upgraded to PHP 5.6 and MySQL 5.5. This will commence on your server at anytime from the 9/09/2016. The servers will be upgraded in alphabetical order, and will do a few each day as they complete the work on updating all the servers. We hope that they will be done within a month, but will update this page if there are any delays, or when they have been completed. These upgrades are substantial and require a lot of work, as they are being done on live production servers. This announcement applies only to clients on our CPanel hosting plans, which use the 'CPanel' branded control panel.

 

As many may already know, PHP versions 5.2, 5.3, and 5.4 have reached end of life (EOL). PHP is third party software that some of our clients use to run their websites on. Not all websites will be using PHP. EOL means PHP authors no longer support these versions with patches for security vulnerabilities and bugs found in the software (https://secure.php.net/supported-versions.php). Our upstream providers servers currently feature third party backported code patches that resolved security issues with the older PHP versions beyond their EOL. They have supported these old PHP versions for several years, well beyond their end of life. Most other hosting providers have already stopped supporting these older versions. Unfortunately, the patches for these old PHP versions have now been discontinued by the developers. Without backported patches or official security updates from PHP.net; our upstream providers can no longer support these deprecated versions and will be removing PHP 5.3 and PHP 5.2 from the servers for security and stability of the servers. As with all quality hosting providers, our providers are committed to improving the security, stability, and performance of the servers. As part of that commitment; our upstream providers will be upgrading MySQL and PHP from EOL versions, to PHP 5.6 and MySQL to 5.5 starting on May 14th, 2016. As with all our upgrades, best practices will be used to ensure a smooth and seamless transition to the new PHP versions. Keeping the servers up to date and well maintained, is why our hosting service has proven to be one of the most reliable in the New Zealand market.

 PHP 5.6 - 7.0 provide extensive improvements in performance and security over previous versions. Current versions of Wordpress, Drupal, Joomla, Magento, all support these versions. The datacentre will be taking every precaution you can imagine to ensure the hosting service continues to run smoothly without a glitch. If you are running the current version of your website software such as Wordpress, it is unlikely the PHP upgrade will break things on your website, but it is wise to be ready.


To prepare for the PHP and MySQL upgrade, we recommend all clients take the following steps:

Although our upstream providers do maintain backups of the servers, it is also best practice to retain your own backups on your local storage. This is also a requirement under our terms that clients always retain the latest backups of all data you store on the servers. If you do not have an automatic backup solution in place then now is the time to install one, or at least create a manual backup of your website.

Confirm you are running the latest stable version of Wordpress, Joomla, Drupal or whatever app your website uses. In Wordpress just go to the updates screen and install any updates available. Wordpress has an auto-update feature you can select to give you that extra peace of mind knowing you're always up to date.

Make sure all your plugins and themes are up-to-date. Wordpress and its most popular plugins will not be affected by moving to a newer version of PHP, as most will have been designed to work on the newest versions of PHP. However, it is possible that some third party plugins or themes may stop working, due to being older and/or not being compatible with newer versions. If a plugin on your site has stopped working due to a PHP update, then you need to contact the plugin author or your web developer for support or find an alternative.

If you are running a website that needs an older version of PHP to run, and you can't update it due to the websites code being too old and the developers no longer existing, our providers maybe able to install a custom complied version of PHP on your website that may continue to allow the website to run. Please note this is provided 'as is', and as a courtesy. Should you find your website is not working properly after the server upgrades, please contact us via the support link inside your CPanel hosting control panel, and request that the custom complied version is installed. This can only be done for PHP, and not MySQL.


Not all websites will be using PHP and/or MySQL. If your website is not a database driven website, eg. A static website, then it may not be affected at all by the upgrade.

 

Please note that we cannot provide any support for website issues that occur with client websites after PHP has been upgraded, apart from installing a custom compiled version of PHP on your website as per above. If you encounter compatibility issues, you should contact your websites developer, or your app developer for support on getting your website updated to work with the modern versions of PHP and MySQL . Some clients maybe running old out of date website code on their website, that may not be compatible with the newer versions of PHP. This is often an issue that occurs as a website ages, as Dynamic websites that use PHP and MySQL do need to be updated on a fairly regular basis, so that they are using the latest secure version of their software. So you may see this as a good oppuntity to get your website updated.

As always, this Network Status page will be used to update clients on the server upgrades as they occur.

Although not directly related to the PHP upgrade, some clients may also be  running websites that are not mobile friendly, or maybe running such an old website, that their web developer has stopped trading , or there are no more updates for the software it uses, and the website software has reached EOL.  To cater for clients who may need a new website, we have recently released a range of new Website packages, which some clients maybe interested in moving to. The big benefits are that you can easily update your website yourself using just your web browser. You also don’t need to worry about keeping your Websites content management system up to date and secure, this is all done for you automatically as part of the website package. You can read more about our Website Packages via our Web Site Division website at http://tinyurl.com/starterwebsites . Website packages have a setup price, plus a monthly fee. The monthly fee is usually higher than standalone web hosting, because it is a ‘Software as a Service’ which includes access to the website and it’s online content management system, as well as the hosting of it. If you are interested in our website packages, you can order one at http://tinyurl.com/starterwebsites .







If you would like to receive server announcements and latest news, please subscribe to our new RSS Newsfeedss below. Most of the latest browsers such as Firefox , Internet Explorer and Opera now have inbuilt RSS newsfeed readers, as does most good email software.



All prices exclude GST unless otherwise stated. Errors and omissions excepted.
© Copyright Lounge Network, a division of Design Lounge Ltd 2001-2018